ConstructionPayloadsRequest is the request to /construction/payloads. It contains the network, a slice of operations, and arbitrary metadata that was returned by the call to /construction/metadata. Optionally, the request can also include an array of PublicKeys associated with the AccountIdentifiers returned in ConstructionPreprocessResponse.

export
interface

  RosettaConstructionPayloadsRequest

### Hierarchy

- RosettaConstructionPayloadsRequest

## Index

### Properties

- metadata
- network_identifier
- operations
- public_keys

## Properties

### Optional metadata

metadata: RosettaConstructionMetadataResponseMetadata

- Defined in src/generated/models/RosettaConstructionPayloadsRequest.ts:64

memberof

  RosettaConstructionPayloadsRequest

### network_identifier

network_identifier: NetworkIdentifier

- Defined in src/generated/models/RosettaConstructionPayloadsRequest.ts:46

memberof

  RosettaConstructionPayloadsRequest

### operations

operations: RosettaOperation []

- Defined in src/generated/models/RosettaConstructionPayloadsRequest.ts:52

memberof

  RosettaConstructionPayloadsRequest

### Optional public_keys

public_keys: RosettaPublicKey []

- Defined in src/generated/models/RosettaConstructionPayloadsRequest.ts:58

memberof

  RosettaConstructionPayloadsRequest

Generated using TypeDoc